## org.apache.felix.bundleplugin
Class InstructionsPlugin

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.felix.bundleplugin.BundlePlugin
              org.apache.felix.bundleplugin.InstructionsPlugin

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class InstructionsPlugin

extends BundlePlugin

Generate BND instructions for this project

Field Summary

Fields inherited from class org.apache.felix.bundleplugin.BundlePlugin
`classifier, dumpClasspath, dumpInstructions, excludeDependencies, manifestLocation, supportedProjectTypes, unpackBundle`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`InstructionsPlugin()`

Method Summary
`protected void` `execute(org.apache.maven.project.MavenProject project, java.util.Map instructions, java.util.Properties properties, aQute.lib.osgi.Jar[] classpath)`

Methods inherited from class org.apache.felix.bundleplugin.BundlePlugin

`addMavenInstructions, buildOSGiBundle, convertVersionToOsgi, dumpClasspath, dumpInstructions, dumpManifest, execute, execute, getBase, getBuildDirectory, getBundleName, getClasspath, getDefaultProperties, getEmbeddableArtifacts, getFile, getMaven2OsgiConverter, getMavenResourcePaths, getOptionalPackages, getOSGiBuilder, getOutputDirectory, getProject, includeMavenResources, isTransitivelyOptional, mergeMavenManifest, removeTagFromInstruction, reportErrors, setBuildDirectory, setMaven2OsgiConverter, setOutputDirectory, transformDirectives`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstructionsPlugin

    public InstructionsPlugin()

Method Detail

### execute

    protected void execute(org.apache.maven.project.MavenProject project,
                           java.util.Map instructions,
                           java.util.Properties properties,
                           aQute.lib.osgi.Jar[] classpath)
                    throws org.apache.maven.plugin.MojoExecutionException

  Overrides:
    `execute` in class `BundlePlugin`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

Copyright © 2011. All Rights Reserved.